from fastapi import APIRouter

from app.api.endpoints import (
    auth,
    health,
    inventory,
    orders,
    products,
    shipments,
    users,
    warehouses,
)

api_router = APIRouter()
api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])
api_router.include_router(users.router, prefix="/users", tags=["Users"])
api_router.include_router(products.router, prefix="/products", tags=["Products"])
api_router.include_router(warehouses.router, prefix="/warehouses", tags=["Warehouses"])
api_router.include_router(inventory.router, prefix="/inventory", tags=["Inventory"])
api_router.include_router(shipments.router, prefix="/shipments", tags=["Shipments"])
api_router.include_router(orders.router, prefix="/orders", tags=["Orders"])
api_router.include_router(health.router, prefix="/health", tags=["Health"])